## fluiddec fluiddec |

## Properties

gchar * | soundfont | Read / Write
gboolean | synth-chorus | Read / Write
gdouble | synth-gain | Read / Write
gint | synth-polyphony | Read / Write
gboolean | synth-reverb | Read / Write

## Types and Values

struct | GstFluidDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstFluidDec

## Description

This element renders midi-events as audio streams using

Fluidsynth.

It offers better sound quality compared to the timidity or wildmidi element.

#### Example pipeline

    1
    gst-launch-1.0 filesrc location=song.mid ! midiparse ! fluiddec ! pulsesink

This example pipeline will parse the midi and render to raw audio which is played via pulseaudio.

## Synopsis

### Element Information

plugin | fluidsynthmidi
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-midi-event

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)F32LE, rate=(int)44100, channels=(int)2, layout=(string)interleaved

## Functions

## Types and Values

### struct GstFluidDec

    struct GstFluidDec;

## Property Details

### The `“soundfont”` property

      “soundfont”                gchar *

the filename of a soundfont (NULL for default).

Flags: Read / Write

Default value: NULL

### The `“synth-chorus”` property

      “synth-chorus”             gboolean

Turn the chorus on or off.

Flags: Read / Write

Default value: TRUE

### The `“synth-gain”` property

      “synth-gain”               gdouble

Set the master gain.

Flags: Read / Write

Allowed values: [0,10]

Default value: 0.2

### The `“synth-polyphony”` property

      “synth-polyphony”          gint

The number of simultaneous voices.

Flags: Read / Write

Allowed values: [1,65535]

Default value: 256

### The `“synth-reverb”` property

      “synth-reverb”             gboolean

Turn the reverb on or off.

Flags: Read / Write

Default value: TRUE

## See Also

timidity, wildmidi